Subject: Re: Announcement: Git Ltd

From: Boaz Harrosh <[email-masked]>
Date: Tue, 01 Apr 2008 16:51:12 +0300

On Tue, Apr 01 2008 at 14:43 +0300, Johannes Schindelin <[email-masked]> wrote:
> Dear Git list,
> 
> after having talked for so long about a company selling and supporting 
> Git, I finally broke down, sat down with the lawyers, and set up the 
> company Git Ltd, based in UK.
> 
> The purpose is to market, sell and support Git for as many customers as we 
> can get.  As a first step, we will sell Git in shrink-wrap boxes starting 
> tomorrow.
> 
> Of course, this means that all of Git's source code will be closed, 
> because we have to sustain our business model _somehow_.  Sorry to all of 
> you guys who do not agree with that.
> 
> Just to make sure that the Open Source community is okay with this, I 
> contacted Richard Stallman, and this is what he told me:
> 
> 	If you really have a company marketing Git, that is cool, and I 
> 	fully understand that the only option to keep this a viable 
> 	business is to go closed source.  It would also be best to move 
> 	the headquarters to Pyongyang.
> 
> Graced by those words, Sir Howard Stringer has kindly agreed to take the 
> position of the chair of the board, and Courtenay Valenti will be our CEO.
> 
> As a consequence, there will be slight changes to Git: for one, the 
> database format will change so that we can protect our valuable 
> Intellectual Property, and all the exporters will stop to work.
> 
> This is a great day for source code management, and I hope you all will 
> enjoy it.
> 
> Johannes "Dscho" Schindelin
> Chief Fool Officer
> Git Ltd
> UK
>

Actually I totally disagree with this April 1st prank. That is, I totally agree
with the first 2 paragraphs of the letter. I think a Git company could be very
successful, and could help open-source. It could sell a closed source GUI that
competes with commercial SW in eye candy but kicks as by been so fast, as Git is.
It could sell closed source integration into the likes of Visual Studio. It could
sale support subscriptions for fixing bugs and adding fixtures according to 
costumers votes. It could integrate with a bug tracking system as one coherent whole.

There are 100s of ways to take such a company, and that market was always hot,
I wish I was a business men.

Boaz